summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbartus2019-08-21 21:58:25 +0200
committerbartus2019-08-21 21:58:25 +0200
commit8525df1642f68f88fb37d2d037e532c5ec9b4c29 (patch)
tree905beff58ef8ab8f20a6bc1045a3a5c7b2d901db
downloadaur-8525df1642f68f88fb37d2d037e532c5ec9b4c29.tar.gz
init
-rw-r--r--.SRCINFO31
-rw-r--r--PKGBUILD27
2 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..084859c1a02
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,31 @@
+pkgbase = neatimage
+ pkgdesc = Best noise reduction fro digital cameras and scanners
+ pkgver = 8.4
+ pkgrel = 1
+ url = https://ni.neatvideo.com/
+ arch = x86_64
+ license = custom
+ depends = bzip2
+ depends = expat
+ depends = fontconfig
+ depends = freetype2
+ depends = gcc-libs
+ depends = glib2
+ depends = glibc
+ depends = graphite
+ depends = harfbuzz
+ depends = libpng
+ depends = libutil-linux
+ depends = libx11
+ depends = libxau
+ depends = libxcb
+ depends = libxdmcp
+ depends = libxext
+ depends = libxi
+ depends = pcre
+ depends = zlib
+ source = https://ni.neatvideo.com/demo/ni8/sld/NeatImageSL.Demo.Intel64.tgz
+ sha512sums = b7c15ffe5e11ca66eb3b65a443a699c37bcca4abf66a2daf9d9c65f60538bcdb37d4bfe4c2f32f56d187a40669e5884e831946086f7c044586c32904f328c9d4
+
+pkgname = neatimage
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..971b331ba63
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer : bartus <arch-user-repoᘓbartus.33mail.com>
+# shellcheck disable=SC2034
+
+pkgname=neatimage
+pkgver=8.4
+pkgrel=1
+pkgdesc="Best noise reduction fro digital cameras and scanners"
+arch=('x86_64')
+url="https://ni.neatvideo.com/"
+license=('custom')
+depends=(bzip2 expat fontconfig freetype2 gcc-libs glib2 glibc graphite harfbuzz libpng libutil-linux libx11 libxau libxcb libxdmcp libxext libxi pcre zlib)
+source=('https://ni.neatvideo.com/demo/ni8/sld/NeatImageSL.Demo.Intel64.tgz')
+sha512sums=('b7c15ffe5e11ca66eb3b65a443a699c37bcca4abf66a2daf9d9c65f60538bcdb37d4bfe4c2f32f56d187a40669e5884e831946086f7c044586c32904f328c9d4')
+
+package() {
+ echo | # “True” silent mode does not appear to do anything…
+ ./NeatImageSL.Demo.Intel64.run --prefix "$pkgdir"/opt/NeatImage --mode console \
+ || true # … and the installer returns 1 when it succeeds.
+
+ rm "$pkgdir"/opt/NeatImage/uninstall
+
+ install -Dm644 "$pkgdir"/opt/NeatImage/Legal.txt "$pkgdir"/usr/share/licenses/"$pkgname"/Legal.txt
+# install -Dm755 neatimage "$pkgdir"/usr/bin/neatimage
+ mkdir -p "$pkgdir"/usr/bin
+ ln -s "$pkgdir"/opt/NeatImage/NeatImage "$pkgdir"/usr/bin/NeatImage
+ ln -s "$pkgdir"/opt/NeatImage/NeatImageCL "$pkgdir"/usr/bin/NeatImageCL
+}